<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe;

/**
 * Class RequestTelemetry.
 *
 * Tracks client request telemetry
 */
class RequestTelemetry {
	/** @var string */
	public $requestId;

	/** @var int */
	public $requestDuration;

	/** @var string[] */
	public $usage;

	/**
	 * Initialize a new telemetry object.
	 *
	 * @param string $requestId the request's request ID
	 * @param int $requestDuration the request's duration in milliseconds
	 * @param string[] $usage names of tracked behaviors associated with this request
	 */
	public function __construct($requestId, $requestDuration, $usage = []) {
		$this->requestId       = $requestId;
		$this->requestDuration = $requestDuration;
		$this->usage           = $usage;
	}
}
