<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe\Service;

class BalanceService extends \Stripe\Service\AbstractService {
	/**
	 * Retrieves the current account balance, based on the authentication that was used
	 * to make the request.  For a sample request, see <a
	 * href="/docs/connect/account-balances#accounting-for-negative-balances">Accounting
	 * for negative balances</a>.
	 *
	 * @param null|array $params
	 * @param null|array|\Stripe\Util\RequestOptions $opts
	 *
	 * @throws \Stripe\Exception\ApiErrorException if the request fails
	 *
	 * @return \Stripe\Balance
	 */
	public function retrieve($params = null, $opts = null) {
		return $this->request('get', '/v1/balance', $params, $opts);
	}
}
