<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe\Service\FinancialConnections;

/**
 * Service factory class for API resources in the FinancialConnections namespace.
 *
 * @property AccountService $accounts
 * @property SessionService $sessions
 * @property TransactionService $transactions
 */
class FinancialConnectionsServiceFactory extends \Stripe\Service\AbstractServiceFactory {
	/**
	 * @var array<string, string>
	 */
	private static $classMap = [
		'accounts'     => AccountService::class,
		'sessions'     => SessionService::class,
		'transactions' => TransactionService::class,
	];

	protected function getServiceClass($name) {
		return \array_key_exists($name, self::$classMap) ? self::$classMap[$name] : null;
	}
}
