<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe\Service\Terminal;

class ConnectionTokenService extends \Stripe\Service\AbstractService {
	/**
	 * To connect to a reader the Stripe Terminal SDK needs to retrieve a short-lived
	 * connection token from Stripe, proxied through your server. On your backend, add
	 * an endpoint that creates and returns a connection token.
	 *
	 * @param null|array $params
	 * @param null|array|\Stripe\Util\RequestOptions $opts
	 *
	 * @throws \Stripe\Exception\ApiErrorException if the request fails
	 *
	 * @return \Stripe\Terminal\ConnectionToken
	 */
	public function create($params = null, $opts = null) {
		return $this->request('post', '/v1/terminal/connection_tokens', $params, $opts);
	}
}
