<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Stripe;

/**
 * Interface for a Stripe client.
 */
interface StripeClientInterface extends BaseStripeClientInterface {
	/**
	 * Sends a request to Stripe's API.
	 *
	 * @param 'delete'|'get'|'post' $method the HTTP method
	 * @param string $path the path of the request
	 * @param array $params the parameters of the request
	 * @param array|\Stripe\Util\RequestOptions $opts the special modifiers of the request
	 *
	 * @return \Stripe\StripeObject the object returned by Stripe's API
	 */
	public function request($method, $path, $params, $opts);
}
